Package tigase.auth

## Class BruteForceLockerBean.Value

- java.lang.Object
- - tigase.auth.BruteForceLockerBean.Value

- All Implemented Interfaces:
    `TypesConverter.Parcelable`
  Enclosing class:
    BruteForceLockerBean

      public static class BruteForceLockerBean.Value
      extends java.lang.Object
      implements TypesConverter.Parcelable

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Value()` |
    `Value​(java.lang.String domain, java.lang.String ip, BareJID jid)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String[]` | `encodeToStrings()` |
    `boolean` | `equals​(java.lang.Object o)` |
    `void` | `fillFromString​(java.lang.String[] encoded)` |
    `int` | `getBadLoginCounter()` |
    `long` | `getInvalidateAtTime()` |
    `int` | `hashCode()` |
    `void` | `setBadLoginCounter​(int badLoginCounter)` |
    `void` | `setInvalidateAtTime​(long invalidateAtTime)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Value

          public Value()

    - #### Value

          public Value​(java.lang.String domain,
                       java.lang.String ip,
                       BareJID jid)

  - ### Method Detail

    - #### encodeToStrings

          public java.lang.String[] encodeToStrings()

      Specified by:
        `encodeToStrings` in interface `TypesConverter.Parcelable`

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### fillFromString

          public void fillFromString​(java.lang.String[] encoded)

      Specified by:
        `fillFromString` in interface `TypesConverter.Parcelable`

    - #### getBadLoginCounter

          public int getBadLoginCounter()

    - #### setBadLoginCounter

          public void setBadLoginCounter​(int badLoginCounter)

    - #### getInvalidateAtTime

          public long getInvalidateAtTime()

    - #### setInvalidateAtTime

          public void setInvalidateAtTime​(long invalidateAtTime)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`